Encoding (jEdit API Documentation)

Package org.gjt.sp.jedit.io

## Interface Encoding

- All Known Implementing Classes:
    `CharsetEncoding`, `EncodingWithBOM`, `Native2ASCIIEncoding`

      public interface Encoding

  An interface to represent an encoding. An encoding is a mapping between a character stream and a byte stream. It is like java.nio.charset.Charset but has slightly different form. This can represents some extended encodings like UTF-8Y which drops (inserts) the BOM bytes before actual decoding (encoding). This also enables to add some extended encodings such as ASCII representation used by Java property files.
  Since:
    4.3pre10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.Reader` | `getPermissiveTextReader​(java.io.InputStream in)` | Map an InputStream to a Reader.
    `java.io.Reader` | `getTextReader​(java.io.InputStream in)` | Map an InputStream to a Reader.
    `java.io.Writer` | `getTextWriter​(java.io.OutputStream out)` | Map an OutputStream to a Writer.

- - ### Method Detail

    - #### getTextReader

          @Nonnull
          java.io.Reader getTextReader​(@Nonnull
                                       java.io.InputStream in)
                                throws java.io.IOException

      Map an InputStream to a Reader. Decode-error while reading from this Reader should be reported by throwing an IOException.
      Throws:
        `java.io.IOException`

    - #### getTextWriter

          @Nonnull
          java.io.Writer getTextWriter​(@Nonnull
                                       java.io.OutputStream out)
                                throws java.io.IOException

      Map an OutputStream to a Writer. Encode-error while writing to this Writer should be reported by throwing an IOException.
      Throws:
        `java.io.IOException`

    - #### getPermissiveTextReader

          @Nonnull
          java.io.Reader getPermissiveTextReader​(@Nonnull
                                                 java.io.InputStream in)
                                          throws java.io.IOException

      Map an InputStream to a Reader. Decode-error while reading from this Reader should be ignored or replaced.
      Throws:
        `java.io.IOException`